body, html {
    height: 100%;
    margin: 0;
    background: white;
    font-family: 'Poppins', sans-serif;
}

.logo {
    max-width: 200px;
}

.body {
    background: #E8EBF0;
}

a {
    color: black;
    text-decoration: none;
    font-size: 16px;
}

.navigation {
    box-sizing: border-box;
    width: 100%;
    display: flex;
    justify-content: space-between;
    padding: 20px 30px;
    align-items: center;
    max-width: 1700px;
}

.nav-item {
    flex: 1;
    display: flex;
    column-gap: 30px;
    align-items: center;
}

button {
    background: #1C8CEA;
    text-transform: uppercase;
    font-size: 16px;
    padding: 15px 35px;
    color: white;
    border: none;
    font-weight: 600;
    cursor: pointer;
}

button:hover {
    background: #3EA7FF;
    margin: 0;
}

.header {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    height: 900px;
}

p {
    margin: 0;
    color: #5F5F5F;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 170%;
    max-width: 450px;
}

h1 {
    margin: 0;
    font-size: 50px;
    line-height: 130%;
    font-weight: 600;
}

h2 {
    font-size: 35px;
    font-weight: 600;
    line-height: 130%;
}

.hero-image {
    margin-top: 70px;
    max-width: 1200px;
    width: 100%;
}

.body {
    padding: 200px 0 0 0;
    margin-top: -100px;
}

.feature {
    display: flex;
    max-width: 1100px;
    margin: auto;
    column-gap: 50px;
    align-items: center;
}

.column {
    flex: 1;
    display: flex;
    flex-direction: column;
    justify-content: center;
    row-gap: 20px;
    min-height: 300px;
}

.container {
    display: flex;
    flex-direction: column;
    row-gap: 90px;
    align-items: center;
}

.column img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: transform 0.1s ease-out; /* Smooth transition for the tilt effect */
}

.footer {
    margin-top: 150px;
    padding-bottom: 150px;
    background: black;
    padding: 80px 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
}

.footer-text {
    color: white;
}

.footer-navigation {
    justify-content: space-between;
    display: flex;
    flex-direction: row;
    width: 100%;
    max-width: 1200px;
    padding-top: 50px;
}

.showcase {
    background-image: url('./showcase.png');
    background-size: auto 100%;
    background-position: center;
    width: 100%;
    height: 420px;
    margin-top: 50px;
    background-repeat: no-repeat;
}

input {
    background: #2A2A2A;
    padding: 15px 15px;
    border: none;
    outline: none;
    font-size: 16px;
    color: white;
}

input[type=submit] {
    background: #1D8EFF;
    color: white;
    font-size: 16px;
    font-weight: 600;
    cursor: pointer;
    transition: 0.1s ease-in;
    min-width: 180px;
}

input[type=submit]:hover {
    background: #3EA7FF;
}

.form {
    display: flex;
    align-items: center;
    column-gap: 5px;
}


.charts {
    display: flex;
    flex-direction: column;
    align-items: center;
    row-gap: 30px;
}

.grid {
    min-width: 500px;
    display: grid;
    background: #E8EBF0;
    grid-template-columns: repeat(5, 1fr);
    grid-template-rows: repeat(2, 1fr);
    grid-gap: 1px;
}

.child {
    display: flex;
    column-gap: 25px;
    background: white;
    align-items: center;
    justify-content: flex-start;
    color: black;
    padding: 50px 50px;
}

.child p {
    color: black;
}


@media(max-width: 1200px) {

    .charts {
        padding: 0 20px;
    }

    .grid {
        min-width: 100%; /* Full width on mobile */
        grid-template-columns: repeat(2, 1fr); /* 2 columns on mobile */
    }

    .child {
        padding: 20px 10px;
    }

    .child p {
        font-size: 14px;
    }

    .child img {
        width: 40px;
        max-height: 30px;
    }

    .body {
        margin-top: 100px;
    }

    .buttons {
        display: none;
    }

    h1 {
        font-size: 40px;
    }

    h2 {
        font-size: 30px;
    }

    .form {
        flex-direction: column;
        row-gap: 10px;
    }

    .header {
        height: 400px;
    }

    .feature {
        flex-direction: column;
        padding: 0 20px;

    }

    .container {
        row-gap: 20px;
    }


    .reverse {
        flex-direction: column-reverse;
    }

    .showcase {
        background-size: 120% auto;
        height: 220px;
    }

    .footer-navigation {
        padding: 0 20px;
        box-sizing: border-box;
    }

    .footer-text {
        font-size: 25px;
    }

    
}